Bug 921974 - Disable or remove emulated audio devices that we will not support
Disable or remove emulated audio devices that we will not support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks: 720747 895240
  Show dependency treegraph
 
Reported: 2013-03-15 06:52 EDT by Paolo Bonzini
Modified: 2014-06-17 23:24 EDT (History)
11 users (show)

See Also:
Fixed In Version: qemu-kvm-1.4.0-3.el7.x86_64.rpm
Doc Type: Deprecated Functionality
Doc Text:
Cause: audio device ES1370 is available in RHEL-6, but not in RHEL-7. Consequence: guests configured with this device cannot be migrated from a RHEL-6 host to a RHEL-7 host. Workaround: reconfigure the guest to use AC97 instead of ES1370. To do this in libvirt domain XML, replace es1370 in <devices> <sound model='es1370'/> </devices> by ac97, and reboot the guest.
Story Points: ---
Clone Of: 903918
Environment:
Last Closed: 2014-06-13 06:38:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Miroslav Rezanina 2013-03-19 07:25:27 EDT
This means we want to support AC97 and intel hda, right?
Comment 3 Paolo Bonzini 2013-03-19 07:36:55 EDT
Yes.
Comment 4 Miroslav Rezanina 2013-04-23 05:44:38 EDT
Fixed in qemu-kvm-1.4.0-3.el7.x86_64.rpm
Comment 7 Jun Li 2014-01-26 03:00:21 EST
Verify this bug:
Version-Release number of selected component (if applicable):
seabios-bin-1.7.2.2-10.el7.x86_64
qemu-kvm-1.5.3-41.el7.x86_64
----
# /usr/libexec/qemu-kvm -device ? 2>&1 |grep -i audio
name "AC97", bus PCI, desc "Intel 82801AA AC97 Audio"
name "hda-duplex", bus HDA, desc "HDA Audio Codec, duplex (line-out, line-in)"
name "hda-micro", bus HDA, desc "HDA Audio Codec, duplex (speaker, microphone)"
name "hda-output", bus HDA, desc "HDA Audio Codec, output-only (line-out)"
name "ich9-intel-hda", bus PCI, desc "Intel HD Audio Controller (ich9)"
name "intel-hda", bus PCI, desc "Intel HD Audio Controller (ich6)"
---
# /usr/libexec/qemu-kvm -device ? 2>&1 |grep -i ES1370
No output.
# /usr/libexec/qemu-kvm -device ? 2>&1 |grep -i sb16
No output.
---
Based on above test and comment 0, comment 2 and 3,  AC97 and intel hda has been supported. ES1370 and sb16 has been disabled.
Comment 9 Ludek Smid 2014-06-13 06:38:05 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.